package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyLqmxxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyLqmxxxService
 * @ProjectName TyLqmxxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyLqmxxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyLqmxxxVO> getTyLqmxxxList(TyLqmxxxVO tyLqmxxxVO);

	/**
	 * 分页展示
	 * @param TyLqmxxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyLqmxxxVO> getTyLqmxxxPage(TyLqmxxxVO tyLqmxxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyLqmxxxVO
	 * @return
	 */
	int insert(TyLqmxxxVO tyLqmxxxVO);

	/**
	 * 更新信息
	 * @param TyLqmxxxVO
	 * @return
	 */
	int update(TyLqmxxxVO tyLqmxxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyLqmxxxVO
	 * @return
	 */
	int delete(String lqid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyLqmxxxVO getLqmxxxByLqmxxxid(String lqid);

}
